## datapacker 1.0.3+nmu1

=== Makefile ===
# Copyright (c) 2004-2008 John Goerzen
#

all: setup			# GHC build
	./setup configure
	./setup build

hugsbuild: setup
	./setup configure --hugs
	./setup build

setup: Setup.lhs datapacker.cabal
	ghc -package Cabal Setup.lhs -o setup

doc: man html pdf txt

.PHONY: man
man: datapacker.1

.PHONY: html
html: datapacker.html

.PHONY: pdf
pdf: datapacker.pdf

.PHONY: txt
txt: datapacker.txt

datapacker.html: datapacker.sgml
	docbook2html -u datapacker.sgml

datapacker.ps: datapacker.1
	man -t -l datapacker.1 > datapacker.ps

datapacker.pdf: datapacker.ps
	ps2pdf14 datapacker.ps

datapacker.txt: datapacker.1
	groff -Tascii -man datapacker.1 | sed $$'s/.\b//g' > datapacker.txt

datapacker.1: datapacker.sgml
	docbook2man datapacker.sgml
	docbook2man datapacker.sgml

clean: clean-code clean-doc

clean-code:
	-./setup clean
	-cd libsrc && ../setup clean
	-rm -rf dist libsrc/dist *.ho *.hi *.o *.a setup *~
	-rm -f `find . -name "*~"` `find . -name "*.o"`
	-rm -f `find . -name "*.cm*"`

clean-doc:
	-rm -f *.1 *.ps *.pdf *.txt *.links *.refs *.html

## datapacker 1.0.0

=== debian/changelog ===
datapacker (1.0.0) unstable; urgency=low

  * Initial Release.  Closes: #476340.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 15 Apr 2008 19:24:08 -0500

=== debian/control ===
Source: datapacker
Section: utils
Priority: extra
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 5), groff, docbook-utils, man-db, gs, xpdf-utils,
 gtk-doc-tools, sgml2x, jade,
 ghc6 (>= 6.8), haskell-devscripts (>= 0.6.6), libghc6-missingh-dev (>= 1.0.1),
 libghc6-unix-dev, libghc6-mtl-dev, libghc6-filepath-dev, libghc6-hslogger-dev
Build-Conflicts: docbook-ebnf
Standards-Version: 3.7.3
Homepage: http://software.complete.org/datapacker
Vcs-Browser: http://git.complete.org/datapacker
Vcs-Git: git://git.complete.org/datapacker

Package: datapacker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${haskell:Depends}
Description: Tool to pack files into minimum number of CDs/DVDs/etc
 datapacker is a tool to group files by size. It is
 designed to group files such that they fill fixed-size containers
 (called "bins") using the minimum number of containers. This is
 useful, for instance, if you want to archive a number of files to CD
 or DVD, and want to organize them such that you use the minimum
 possible number of CDs or DVDs.
 .
 In many cases, datapacker executes almost instantaneously. Of
 particular note, the hardlink action can be used
 to effectively copy data into bins without having to actually copy
 the data at all.
 .
 datapacker is a tool in the traditional Unix style; it can be used in
 pipes and call other tools.

## datapacker 1.0.1

=== debian/changelog ===
datapacker (1.0.1) unstable; urgency=low

  * Added new --sort and -D options.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 25 Sep 2008 01:40:54 -0500

## datapacker 1.0.1%2bnmu1ubuntu1

=== debian/changelog ===
datapacker (1.0.1+nmu1ubuntu1) oneiric; urgency=low

  * Update build-dependencies for GHC 7 (LP: #826233).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Aug 2011 19:41:08 +0100

datapacker (1.0.1+nmu1) unstable; urgency=low

  * Non-maintainer uploaded needed to address xpdf's RC bugs:
  * Remove spurious build-dependency on xpdf-utils, the PDF conversion
    is actually performed by ps2pdf from Ghostscript (Closes: #549388)
  * Also migrate from the transitional gs package to ghostscript	

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 02 Nov 2009 22:14:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: datapacker
 Section: utils
 Priority: extra
-Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 5), groff, docbook-utils, man-db, gs, xpdf-utils,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: John Goerzen <jgoerzen@complete.org>
+Build-Depends: debhelper (>= 5), groff, docbook-utils, man-db, ghostscript,
  gtk-doc-tools, sgml2x, jade,
- ghc6 (>= 6.8), haskell-devscripts (>= 0.6.6), libghc6-missingh-dev (>= 1.0.1),
- libghc6-unix-dev, libghc6-mtl-dev, libghc6-filepath-dev, libghc6-hslogger-dev
+ ghc (>= 6.8), haskell-devscripts (>= 0.6.6), libghc-missingh-dev (>= 1.0.1),
+ libghc-unix-dev, libghc-mtl-dev, libghc-filepath-dev, libghc-hslogger-dev
 Build-Conflicts: docbook-ebnf
 Standards-Version: 3.7.3
 Homepage: http://software.complete.org/datapacker

## datapacker 1.0.1+nmu1

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: datapacker
 Section: utils
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: John Goerzen <jgoerzen@complete.org>
+Maintainer: John Goerzen <jgoerzen@complete.org>
 Build-Depends: debhelper (>= 5), groff, docbook-utils, man-db, ghostscript,
  gtk-doc-tools, sgml2x, jade,
- ghc (>= 6.8), haskell-devscripts (>= 0.6.6), libghc-missingh-dev (>= 1.0.1),
- libghc-unix-dev, libghc-mtl-dev, libghc-filepath-dev, libghc-hslogger-dev
+ ghc6 (>= 6.8), haskell-devscripts (>= 0.6.6), libghc6-missingh-dev (>= 1.0.1),
+ libghc6-unix-dev, libghc6-mtl-dev, libghc6-filepath-dev, libghc6-hslogger-dev
 Build-Conflicts: docbook-ebnf
 Standards-Version: 3.7.3
 Homepage: http://software.complete.org/datapacker

## datapacker 1.0.1+nmu2

=== debian/changelog ===
datapacker (1.0.1+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Update build-dependencies for GHC 7 (LP: #826233), (Closes: #629774),
    thanks cjwatson for the fix.

 -- Paul Tagliamonte <paultag@debian.org>  Sun, 29 Jul 2012 15:33:07 -0400

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: John Goerzen <jgoerzen@complete.org>
 Build-Depends: debhelper (>= 5), groff, docbook-utils, man-db, ghostscript,
  gtk-doc-tools, sgml2x, jade,
- ghc6 (>= 6.8), haskell-devscripts (>= 0.6.6), libghc6-missingh-dev (>= 1.0.1),
- libghc6-unix-dev, libghc6-mtl-dev, libghc6-filepath-dev, libghc6-hslogger-dev
+ ghc (>= 6.8), haskell-devscripts (>= 0.6.6), libghc-missingh-dev (>= 1.0.1),
+ libghc-unix-dev, libghc-mtl-dev, libghc-filepath-dev, libghc-hslogger-dev
 Build-Conflicts: docbook-ebnf
 Standards-Version: 3.7.3
 Homepage: http://software.complete.org/datapacker

## datapacker 1.0.1+nmu2+build2

=== debian/changelog ===
datapacker (1.0.1+nmu2+build2) staging; urgency=low

  * No-change rebuild against updated haskell libraries.

 -- Jon Severinsson <jon@severinsson.net>  Sat, 01 Feb 2014 22:00:00 +0100

datapacker (1.0.1+nmu2+build1) staging; urgency=low

  * Rebuild against new libffi 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 23 Aug 2013 00:18:54 +0200

## datapacker 1.0.1+nmu2+build2b1

=== debian/changelog ===
datapacker (1.0.1+nmu2+build2b1) staging; urgency=high

  * No-change rebuild against updated haskell libraries

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 15 Aug 2015 15:03:26 +0000

## datapacker 1.0.1+nmu4

=== debian/changelog ===
datapacker (1.0.1+nmu4) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove Build-Depends on jade. (Closes: #840517)
  * Update Homepage and Vcs-* fields in d/control

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 23 Nov 2016 16:15:14 +0100

datapacker (1.0.1+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * No-change rebuild to make armel build again
    (binNMU can't work because of #843420).
    Closes: #843420

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 06 Nov 2016 23:42:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: extra
 Maintainer: John Goerzen <jgoerzen@complete.org>
 Build-Depends: debhelper (>= 5), groff, docbook-utils, man-db, ghostscript,
- gtk-doc-tools, sgml2x, jade,
+ gtk-doc-tools, sgml2x,
  ghc (>= 6.8), haskell-devscripts (>= 0.6.6), libghc-missingh-dev (>= 1.0.1),
  libghc-unix-dev, libghc-mtl-dev, libghc-filepath-dev, libghc-hslogger-dev
 Build-Conflicts: docbook-ebnf
 Standards-Version: 3.7.3
-Homepage: http://software.complete.org/datapacker
-Vcs-Browser: http://git.complete.org/datapacker
-Vcs-Git: git://git.complete.org/datapacker
+Homepage: https://github.com/jgoerzen/datapacker/wiki
+Vcs-Browser: https://github.com/jgoerzen/datapacker
+Vcs-Git: https://github.com/jgoerzen/datapacker.git
 
 Package: datapacker
 Architecture: any

## datapacker 1.0.2

=== debian/changelog ===
datapacker (1.0.2) unstable; urgency=medium

  * Ack NMUs.  Closes: #840517, #843420, #629774, #549388.
  * Bump standards-version.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 14 Feb 2017 19:24:16 -0600

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	$(MAKE) man
	#docbook-to-man debian/datapacker.sgml > datapacker.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/datapacker.
	#$(MAKE) DESTDIR=$(CURDIR)/debian/datapacker install
	cp dist/build/datapacker/datapacker debian/datapacker/usr/bin/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman datapacker.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## datapacker 1.0.2build1

=== debian/changelog ===
datapacker (1.0.2build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Sep 2019 17:40:41 +0200

## datapacker 1.0.2build3

=== debian/changelog ===
datapacker (1.0.2build3) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 10:57:50 +0000

datapacker (1.0.2build2) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 08:48:29 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  ghc (>= 6.8), haskell-devscripts (>= 0.6.6), libghc-missingh-dev (>= 1.0.1),
  libghc-unix-dev, libghc-mtl-dev, libghc-filepath-dev, libghc-hslogger-dev
 Build-Conflicts: docbook-ebnf
-Standards-Version: 3.7.3
+Standards-Version: 3.9.8
 Homepage: https://github.com/jgoerzen/datapacker/wiki
 Vcs-Browser: https://github.com/jgoerzen/datapacker
 Vcs-Git: https://github.com/jgoerzen/datapacker.git

## datapacker 1.0.3

=== debian/changelog ===
datapacker (1.0.3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * debian/rules: Use dh_prep rather than "dh_clean -k".
  * Explicitly specify source format.
  * Bump debhelper from deprecated 5 to 12.
  * Change priority extra to priority optional.

  [ John Goerzen ]
  * Update version info
  * Update for new MonadFail.  Closes: #963838
  * Fix warnings

 -- John Goerzen <jgoerzen@complete.org>  Wed, 13 Jan 2021 00:08:09 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: datapacker
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 5), groff, docbook-utils, man-db, ghostscript,
+Build-Depends: debhelper-compat (= 12), groff, docbook-utils, man-db, ghostscript,
  gtk-doc-tools, sgml2x,
  ghc (>= 6.8), haskell-devscripts (>= 0.6.6), libghc-missingh-dev (>= 1.0.1),
  libghc-unix-dev, libghc-mtl-dev, libghc-filepath-dev, libghc-hslogger-dev

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 build: build-stamp
 
-build-stamp: configure-stamp 
+build-stamp: configure-stamp
 	dh_testdir
 
 	# Add here commands to compile the package.
@@ -40,12 +40,12 @@
 	# Add here commands to clean up after the build process.
 	$(MAKE) clean
 
-	dh_clean 
+	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/datapacker.
@@ -61,7 +61,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs 
+	dh_installchangelogs
 	dh_installdocs
 	dh_installexamples
 #	dh_install

## datapacker 1.0.3build1

=== debian/changelog ===
datapacker (1.0.3build1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Sep 2021 06:52:33 +0200

## datapacker 1.0.3+nmu1

=== debian/changelog ===
datapacker (1.0.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing debian/rules targets build-indep, build-arch.  Closes: #999274
  * Remove unused Build-Depends: gtk-doc-tools, sgml2x.

 -- Bastian Germann <bage@debian.org>  Fri, 19 May 2023 12:43:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
 Build-Depends: debhelper-compat (= 12), groff, docbook-utils, man-db, ghostscript,
- gtk-doc-tools, sgml2x,
  ghc (>= 6.8), haskell-devscripts (>= 0.6.6), libghc-missingh-dev (>= 1.0.1),
  libghc-unix-dev, libghc-mtl-dev, libghc-filepath-dev, libghc-hslogger-dev
 Build-Conflicts: docbook-ebnf

=== debian/rules ===
--- 
+++ 
@@ -89,4 +89,8 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build clean binary-indep binary-arch binary install configure build-indep build-arch
+
+build-indep:
+
+build-arch: build

## datapacker 1.0.3+nmu1build1

=== debian/changelog ===
datapacker (1.0.3+nmu1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 08 Dec 2025 22:52:50 +0100
